Get Types 1

Get Types 1

Returns a paginated list of all available Catalog Item Types.

Request
URI
GET
https://{api_host}/catalog/api/types
COPY
Query Parameters
integer
page
Optional
Constraints: minimum: 0 default: 0

Zero-based page index (0..N)

integer
size
Optional
Constraints: minimum: 1 default: 20

The size of the page to be returned

string of array
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

integer
$top
Optional

Number of records you want

$top example
1
integer
$skip
Optional

Number of records you want to skip

$skip example
1
string
$orderby
Optional

Sorting criteria in the format: property (asc|desc). Default sort order is ascending. Multiple sort criteria are supported.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PageCatalogItemType of type(s) application/json
{
    "content": [
        {
            "baseUri": "string",
            "configSchema": {
                "$data": "string",
                "$dynamicDefault": "string",
                "$ref": "string",
                "additionalProperties": false,
                "allOf": [
                    "JsonSchemaImpl Object"
                ],
                "anyOf": [
                    "JsonSchemaImpl Object"
                ],
                "const": {},
                "default": {},
                "description": "string",
                "encrypted": false,
                "enum": [
                    {}
                ],
                "format": "string",
                "formatMaximum": "string",
                "formatMinimum": "string",
                "items": "ObjectOrListJsonSchemaImpl Object",
                "maxItems": 0,
                "maxLength": 0,
                "maxProperties": 0,
                "maximum": "number",
                "minItems": 0,
                "minLength": 0,
                "minProperties": 0,
                "minimum": "number",
                "not": "JsonSchemaImpl Object",
                "oneOf": [
                    "JsonSchemaImpl Object"
                ],
                "pattern": "string",
                "patternProperties": {
                    "patternProperties": "JsonSchemaImpl Object"
                },
                "properties": {
                    "properties": "JsonSchemaImpl Object"
                },
                "readOnly": false,
                "required": [
                    "string"
                ],
                "title": "string",
                "type": "string",
                "uniqueItems": false,
                "writeOnly": false
            },
            "createdAt": "string",
            "createdBy": "string",
            "iconId": "string",
            "id": "string",
            "name": "string"
        }
    ],
    "empty": false,
    "first": false,
    "last": false,
    "number": 0,
    "numberOfElements": 0,
    "pageable": {
        "offset": 0,
        "pageNumber": 0,
        "pageSize": 0,
        "paged": false,
        "sort": [
            {
                "ascending": false,
                "direction": "string",
                "ignoreCase": false,
                "nullHandling": "string",
                "property": "string"
            }
        ],
        "unpaged": false
    },
    "size": 0,
    "sort": [
        {
            "ascending": false,
            "direction": "string",
            "ignoreCase": false,
            "nullHandling": "string",
            "property": "string"
        }
    ],
    "totalElements": 0,
    "totalPages": 0
}
array of object
content
Optional

Represents a type of Catalog Item.

boolean
empty
Optional

empty

boolean
first
Optional

first

boolean
last
Optional

last

integer As int32 As int32
number
Optional

number

integer As int32 As int32
numberOfElements
Optional

numberOfElements

object
pageable
Optional

pageable

integer As int32 As int32
size
Optional

size

array of object
sort
Optional

sort

integer As int64 As int64
totalElements
Optional

totalElements

integer As int32 As int32
totalPages
Optional

totalPages


401

Unauthorized

Returns PageCatalogItemType of type(s) application/json
"PageCatalogItemType Object"
array of object
content
Optional

Represents a type of Catalog Item.

boolean
empty
Optional

empty

boolean
first
Optional

first

boolean
last
Optional

last

integer As int32 As int32
number
Optional

number

integer As int32 As int32
numberOfElements
Optional

numberOfElements

object
pageable
Optional

pageable

integer As int32 As int32
size
Optional

size

array of object
sort
Optional

sort

integer As int64 As int64
totalElements
Optional

totalElements

integer As int32 As int32
totalPages
Optional

totalPages


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/catalog/api/types